Package org.apache.commons.compress.archivers.dump

# Class InvalidFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.compress.CompressException
org.apache.commons.compress.archivers.ArchiveException
org.apache.commons.compress.archivers.dump.DumpArchiveException
org.apache.commons.compress.archivers.dump.InvalidFormatException

All Implemented Interfaces:
  `Serializable`

public class InvalidFormatException extends DumpArchiveException
Invalid Format Exception. There was an error decoding a tape segment header.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `offset`
  The offset where the problem was detected.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidFormatException()`
  Constructs a `InvalidFormatException`.
  `InvalidFormatException(long offset)`
  Constructs a `InvalidFormatException`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getOffset()`
  Gets the offset where the problem was detected.

  ### Methods inherited from class org.apache.commons.compress.archivers.ArchiveException

  `requireNonNull`

  ### Methods inherited from class org.apache.commons.compress.CompressException

  `requireNonNull`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    protected long offset
    The offset where the problem was detected.

- ## Constructor Details

  - ### InvalidFormatException

    public InvalidFormatException()
    Constructs a `InvalidFormatException`.

  - ### InvalidFormatException

    public InvalidFormatException(long offset)
    Constructs a `InvalidFormatException`.
    Parameters:
      `offset` - offset where the problem was detected.

- ## Method Details

  - ### getOffset

    public long getOffset()
    Gets the offset where the problem was detected.
    Returns:
      the offset where the problem was detected.